routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
use Carbon\Carbon;




Route::get('/', 'OnlineAdmissionController@index')->name('home');

Route::resource('online-admission','OnlineAdmissionController');

Route::resource('dash-board','DashboardController');



Auth::routes();

Route::get('logout', '\App\Http\Controllers\Auth\LoginController@logout');

Route::resource('department','DepartmentController');

Route::get('counsel/getallStudent', 'StudentInformationController@getallStudent')->name('counsel/getallStudent');

Route::resource('counsel','StudentInformationController');
Route::resource('discussion','DiscussionController');


Route::get('/test',function (){
    $now=new Carbon();
    dd($now);

});


Route::get('/clear',function(){
    Artisan::call('view:clear');
    Artisan::call('route:clear');
    Artisan::call('config:cache');
    Artisan::call('cache:clear');
});

app/Http/Controllers/DashboardController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\StudentInformation;
use App\Discussion;
use Carbon\Carbon;

class DashboardController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $counsel=StudentInformation::all();
        $discussion=Discussion::all();

        //how they know
        $website=$counsel->where('how_they_know','website')->count();
        $facebook=$counsel->where('how_they_know','facebook')->count();
        $newspaper=$counsel->where('how_they_know','newspaper')->count();
        $banner_poster=$counsel->where('how_they_know','banner_poster')->count();
        $friend_family=$counsel->where('how_they_know','friend_family')->count();
        $megazine=$counsel->where('how_they_know','megazine')->count();

        //counsel by
        $phone=$counsel->where('counseling_by','phone')->count();
        $campus_visit=$counsel->where('counseling_by','campus_visit')->count();
        $chat=$counsel->where('counseling_by','chat')->count();
        $by_facebook=$counsel->where('counseling_by','facebook')->count();
        $by_website=$counsel->where('counseling_by','website')->count();
        $by_email=$counsel->where('counseling_by','email')->count();

        //admission status

        $admitted=$discussion->where('feedback','admitted')->count();
        $form_sold=$discussion->where('feedback','form_sold')->count();
        $visit_again=$discussion->where('feedback','visit_again')->count();
        $will_think=$discussion->where('feedback','will_think')->count();
        $will_get_admission=$discussion->where('feedback','will_get_admission')->count();
        $wont_get_admission=$discussion->where('feedback','wont_get_admission')->count();
        $will_discuss_with_parents=$discussion->where('feedback','will_discuss_with_parents')->count();
        $will_discuss_with_friends=$discussion->where('feedback','will_discuss_with_friends')->count();



        $barchart=collect([
            'website' => $website,
            'facebook' => $facebook,
            'newspaper' => $newspaper,
            'banner_poster' => $banner_poster,
            'friend_family' => $friend_family,
            'megazine' => $megazine
        ]);

        $piechart=collect([
            'phone' => $phone,
            'campus_visit' => $campus_visit,
            'chat' => $chat,
            'by_facebook' => $by_facebook,
            'by_website' => $by_website,
            'by_email' => $by_email
        ]);

        $piechart2=collect([
            'admitted' => $admitted,
            'form_sold' => $form_sold,
            'visit_again' => $visit_again,
            'will_think' => $will_think,
            'will_get_admission' => $will_get_admission,
            'wont_get_admission' => $wont_get_admission,
            'will_discuss_with_parents' => $will_discuss_with_parents,
            'will_discuss_with_friends' => $will_discuss_with_friends
        ]);

        $total_counsel=$counsel->count();
        $total_discussion=$discussion->count();
        $today_registered=StudentInformation::whereDate('created_at',Carbon::today())->count();

        $total_admission=$discussion->where('feedback','admitted')->count();


        return view('dashboard.index',compact('total_counsel','total_discussion','today_registered',
            'total_admission','barchart','piechart','piechart2'));

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/dashboard/student/form.blade.php
@extends('dashboard.layouts.master')
@section('title','Counsel')



@section('main-content')

    <style>
        .select2-selection__rendered{
            min-height: 100px;
        }
    </style>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
               @yield('title')
                <small></small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                <li><a href="#">@yield('title')</a> </li>

            </ol>
        </section>

        <!-- Main content -->
        <section class="content">



            <div class="row">

             <form method="post">
                   @csrf
                <!-- /.col (left) -->
                   <div class="col-md-9 col-md-offset-1">
                       <!-- general form elements -->
                       <div class="box box-primary">
                           <div class="box-header with-border">
                               <h3 class="box-title"><strong>ADD COUNSELING INFORMATION</strong></h3>
                           </div>
                           <!-- /.box-header -->
                           <!-- form start -->
                           <form role="form">
                               <div class="box-body">

                                   <div class="form-group col-md-6">
                                       <label for="name">Name</label>
                                       <input type="text" class="form-control" id="name" name="name"
                                              placeholder="Enter Your Name">
                                   </div>

                                   <div class="form-group col-md-6">
                                       <label for="phone">Phone</label>
                                       <input type="text" class="form-control" id="phone" name="phone"
                                              placeholder="Enter Phone Number">
                                   </div>

                                   <div class="form-group col-md-6">
                                       <b>Gender:</b><br>
                                       <input type="radio" name="sex" value="m" checked>Male
                                       <input type="radio" name="sex" value="f">Female

                                   </div>

                                   <div class="form-group col-md-6">
                                       <label for="email">Email</label>
                                       <input type="email" class="form-control" id="email" name="email"
                                              placeholder="Enter Your Phone Email">
                                   </div>

                                   <div class="form-group col-md-6">
                                       <label for="last_education">Last Education Qualification</label>
                                       <input type="text" class="form-control" id="last_education"
                                              name="last_education"
                                              placeholder="Enter Education Qualification">
                                   </div>

                                   <div class="form-group col-md-6">
                                       <label>Profession</label>
                                       <select class="form-control select2" name="profession" style="width: 100%;">
                                           <option value="none" selected="selected">Select Your Profession</option>
                                           <option value="regular">Regular Student</option>
                                           <option value="irregular">Irregular Student</option>
                                           <option value="recently_passed">Recently Passed Student</option>
                                           <option value="jobseeker">Job Seeker</option>
                                           <option value="employed">Employed</option>
                                           <option value="entrepreneur">Entrepreneur</option>
                                       </select>
                                   </div>

                                   <div class="form-group col-md-6">
                                       <label for="age">Age</label>
                                       <input type="number" class="form-control" id="age" name="age"
                                              placeholder="Enter Your Age">
                                   </div>

                                   <div class="form-group col-md-6">
                                       <label>Division</label>
                                       <select class="form-control select2" name="division" style="width: 100%;">
                                           <option selected="selected" value="dhaka">Dhaka</option>
                                           <option value="rajshahi">Rajshahi</option>
                                           <option value="rangpur">Rangpur</option>
                                           <option value="barisal">Barisal</option>
                                           <option value="chittagong">Chittagong</option>
                                           <option value="khulna">Khulna</option>
                                           <option value="mymensingh">Mymensingh</option>
                                           <option value="sylhet">Sylhet</option>
                                       </select>
                                   </div>

                                   <div class="form-group col-md-6">
                                       <label for="area">Area</label>
                                       <input type="text" class="form-control" id="area" name="area"
                                              placeholder="Enter Your Area">
                                   </div>

                                   <div class="form-group col-md-6">
                                       <label>Department</label>
                                       <select id="department_id" name="department_id" class="form-control select2"
                                               style="width: 100%;">

                                           @foreach($departments as $department)

                                               <option value="{{$department->id}}">{{ ucfirst($department->department_name)}}</option>

                                           @endforeach

                                       </select>
                                   </div>



                                   <div class="form-group col-md-6">
                                       <label for="course_name">Course Name</label>
                                       <input type="text" class="form-control" id="course_name" name="course_name"
                                              placeholder="Enter Course Name">
                                   </div>

                                   <!-- /.form-group -->
                                   <div class="form-group col-md-6">
                                       <label>How do they know us</label>
                                       <select class="form-control select2" name="how_they_know" style="width: 100%;">
                                           <option selected="selected">Select any one</option>
                                           <option value="sms">SMS</option>
                                           <option value="megazine">Megazine</option>
                                           <option value="billboard">Bill-Board</option>
                                           <option value="diu">Daffodil International University (DIU)</option>
                                           <option value="our_student">Our Student</option>
                                           <option value="banner_poster">Banner/Poster</option>
                                           <option value="newspaper">Newspaper</option>
                                           <option value="facebook">Facebook</option>
                                           <option value="youtube">Youtube</option>
                                           <option value="twitter">Twitter</option>
                                           <option value="friends_family">Friends/Family</option>
                                           <option value="brochure">Brochure</option>
                                           <option value="workshop_seminar_fair">Workshop/Seminar/Fair</option>
                                           <option value="website">Website</option>
                                           <option value="email">Email</option>
                                       </select>
                                   </div>

                                   <div class="form-group col-md-6">
                                       <label>Counseling By</label>
                                       <select class="form-control select2" name="counseling_by" style="width: 100%;">
                                           <option selected="selected">Select Any One</option>
                                           <option value="phone">Phone</option>
                                           <option value="chat">Chat</option>
                                           <option value="campus_visit">Campus Visit</option>
                                           <option value="website">Website</option>
                                           <option value="facebook">Facebook</option>
                                           <option value="email">Email</option>
                                       </select>
                                   </div>

                                   <div class="form-group col-md-6">
                                       <label>Result</label>
                                       <select class="form-control select2" name="feedback"  style="width: 100%;">
                                           <option selected="selected">Select Result</option>
                                           <option value="admitted">Admitted</option>
                                           <option value="form_sold">Form Sold</option>
                                           <option value="visit_again">Visit Again</option>
                                           <option value="will_think">Will Think</option>
                                           <option value="will_get_admission">Will Get Admission</option>
                                           <option value="won't_get_admission">Won't Get Admission</option>
                                           <option value="will_discuss_with_parents">Will Discuss with parents</option>
                                           <option value="will_discuss_with_friends">Will Discuss with Friends</option>

                                       </select>
                                   </div>


                                   <div class="form-group col-md-12">
                                       <label for="exampleInputSummery1">Discussion Summery 1</label>
                                       <textarea  name="discussion_summary" style="width: 100%;" rows="3" cols="50"
                                                  placeholder="Discussion Summery 1 here"></textarea>
                                   </div>




                                   <div class="footer">
                                       <button style="margin-top: 32px;margin-left: 14px;" type="submit" class="btn btn-primary">Submit</button>
                                   </div>

                               </div>
                               <!-- /.box-body -->

                           </form>
                       </div>
                       <!-- /.box -->

                   </div>
                <!-- /.col (right) -->
             </form>


            </div>
            <!-- /.row -->


        </section>
        <!-- /.content -->

    </div>
    <!-- /.content-wrapper -->





@endsection

resources/views/dashboard/student/index.blade.php
@extends('dashboard.layouts.master')
@section('title','Student Information')





@section('main-content')

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
               @yield('title')
                <small></small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="#"><i class="fa fa-dashboard"></i> Home</a></li>
                <li><a href="#">@yield('title')</a></li>

            </ol>
        </section>

        <!-- Main content -->
        <section class="content">

            <div class="row">
                <div class="col-md-6 col-md-offset-3">
                    @if($status=Session::get('status'))
                        <div class="alert alert-danger">
                            {{$status}}
                        </div>
                    @endif


                    {{--validation--}}
                    @if (count($errors) > 0)
                        <div class = "alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                    {{--validation--}}
                </div>
            </div>

            <!-- Default box -->
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Informations</h3>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped">
                        <thead>
                        <tr>
                            <th>S/N</th>
                            <th>Name</th>
                            <th>Phone</th>
                            <th>Course</th>
                            <th>How They Know</th>
                            <th>feedback</th>
                            <th>Discussion</th>
                            <th>Counseling By</th>
                            <th>created_at</th>
                            <th>Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        @php
                        $i=1;
                        @endphp

                           @foreach($students as $std)
                            <tr>
                                <td>{{$i}}</td>
                               <td>{{$std->name}}</td>
                               <td>{{$std->phone}}</td>
                              
                               <td>{{$std->course_name}}</td>
                                <td>{{$std->how_they_know}}</td>

                                {{--<td> @php--}}
                                    {{--$discus=App\StudentInformation::find($std->id)->discussions;--}}

                                    {{--dd($discus);--}}



                                    {{--@endphp--}}
                                {{--</td>--}}



                                  @foreach ($std->find($std->id)->discussions as $feedback)

                                       @if($loop->last)

                                           <td>{{$feedback->feedback}}</td>
                                        @else
                                       {{''}}
                                       @endif

                                   @endforeach
                                   
                                   
                                    @foreach ($std->find($std->id)->discussions as $feedback)

                                       @if($loop->last)

                                           <td>{{$feedback->discussion_summary}}</td>
                                        @else
                                       {{''}}
                                       @endif

                                   @endforeach
                                   
                                <td>{{$std->counseling_by}}</td>
                               <td>{{$std->created_at}}</td>
                                <td>
                                  <div class="btn-group">
                                      <a href="{{route('counsel.show',$std->id)}}" class="btn btn-xs btn-primary"><i
                                                  class="glyphicon
                                glyphicon-edit"></i> Edit</a>
                                      <a href="{{route('discussion.show',$std->id)}}" class="btn btn-xs btn-primary"><i
                                                  class="glyphicon glyphicon-edit"></i> Update</a>
                                  </div>


                                </td>

                            </tr>
                            @php $i++;
                                    @endphp

                            @endforeach






                        </tbody>

                    </table>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->


        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->


@endsection

@push('scripts')
    <script>
    $(document).ready(function () {
        $('.sidebar-menu').tree()
    });


    $(function () {

        $('#example1').DataTable({
            processing: true

        });

        // $('#datepicker').datepicker({
        //     format:"yyyy-mm-dd",
        //     autoclose: true
        // });
        //
        // $('.timepicker').timepicker({
        //     showInputs: false
        // })

    })
    </script>


@endpush